org.apache.lucene.codecs.lucene42

## Class Lucene42NormsFormat

- java.lang.Object
- - org.apache.lucene.codecs.NormsFormat
  - - org.apache.lucene.codecs.lucene42.Lucene42NormsFormat

- Deprecated.
  only for reading old 4.x segments

      @Deprecated
      public class Lucene42NormsFormat
      extends NormsFormat

  Lucene 4.2 score normalization format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene42NormsFormat()` Deprecated. Calls `Lucene42DocValuesFormat(PackedInts.FASTEST)`
    `Lucene42NormsFormat(float acceptableOverheadRatio)` Deprecated. Creates a new Lucene42DocValuesFormat with the specified `acceptableOverheadRatio` for NumericDocValues.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NormsConsumer` | `normsConsumer(SegmentWriteState state)` Deprecated.
    `NormsProducer` | `normsProducer(SegmentReadState state)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene42NormsFormat

          public Lucene42NormsFormat()

      Deprecated.
      Calls `Lucene42DocValuesFormat(PackedInts.FASTEST)`

    - #### Lucene42NormsFormat

          public Lucene42NormsFormat(float acceptableOverheadRatio)

      Deprecated.
      Creates a new Lucene42DocValuesFormat with the specified `acceptableOverheadRatio` for NumericDocValues.
      Parameters:
        `acceptableOverheadRatio` - compression parameter for numerics. Currently this is only used when the number of unique values is small.
      WARNING: This API is experimental and might change in incompatible ways in the next release.

  - ### Method Detail

    - #### normsConsumer

          public NormsConsumer normsConsumer(SegmentWriteState state)
                                      throws IOException

      Deprecated.
      Specified by:
        `normsConsumer` in class `NormsFormat`
      Throws:
        `IOException`

    - #### normsProducer

          public final NormsProducer normsProducer(SegmentReadState state)
                                            throws IOException

      Deprecated.
      Specified by:
        `normsProducer` in class `NormsFormat`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.